iiE = 2;

tstart = 1;
tspan  = (tstart:e{iiE}.tEnd)+e{iiE}.tStart;
Tshow  = 1:5;

dShifted = f_adjustTimeShift(e{iiE}, d);

P = dShifted.P*0;

for iiT = e{iiE}.turbineOrder
    P(iiT, :) = smooth(d.P(iiT,:), 60);
end

figure(1); clf
subplot(211);
hold on;
plot(P(e{iiE}.turbineOrder(Tshow), tspan)');
grid on;
axis tight;
hTime = plot([1 1], [0 3000]);
subplot(212);
ylim([0 3000]);
hold on;
hBar = bar(P(e{iiE}.turbineOrder(Tshow), tspan(1)));
plot(mean(P(e{iiE}.turbineOrder(Tshow),tspan), 2), 'x')
grid on;
%%
for iit = 1:length(tspan)
    hBar.YData = P(e{iiE}.turbineOrder(Tshow), tspan(iit));
    ylim([0 3000]);
    
    hTime.XData = [iit iit];
    
    drawnow;
end