function [ tShift ] = f_simpleTShift( d, t, e )
    tShiftNormal = zeros(1,13);
    tShiftCur = zeros(1,13);
    uNormal = f_P2U(t.powerNormal, d.rhoCorrection(e.tStart));
    uCur = f_P2U(t.powerEstimated, d.rhoCorrection(e.tStart));
    
    for ii = 2:13
        tShiftNormal(ii) = round(520/ (uNormal(ii-1)/6+uNormal(ii)/2));
        tShiftCur(ii) = round(520/ (uCur(ii-1)/6+uCur(ii)/2));
    end
    
    tShift = [tShiftNormal;tShiftCur];
end

