function [ Aout, dts ] = f_tShift( Ain, treq, guess )
    %%
    nT = size(Ain, 1);
    N  = size(Ain, 2);
    
    Aout = Ain * 0;
%     Aplot = Ain;
    
    Abase = Ain(1,treq);
    Aout(1, :) = Ain(1, :);
    dts   = zeros(1, nT);
    
    for iiT = 2:nT
        dt    = round(linspace(1.5*guess + (iiT-2) * guess, .5*guess, 500));
        stds  = dt*0;
        means = dt*0;
        for iiDt = 1:length(dt)
            iiA      = Ain(iiT,treq+dt(iiDt));
            
            stds(iiDt) = std(iiA - Abase);
            means(iiDt) = mean(iiA - Abase);
            
            
%             if(dt(iiDt) < dts(iiT))
%                 if(dt(iiDt) < 0)
%                     Aplot(iiT, 1-dt(iiDt):N) = Ain(iiT, 1:(N+dt(iiDt)));
%                 else
%                     Aplot(iiT, 1:(N-dt(iiDt))) = Ain(iiT, -dt(iiDt):N);
%                 end
%                 figure(3);
%                 cla
%                 hold on;
%                 plot(Abase);
%                 plot(Aplot(iiT,treq)');
%                 shading interp
%                 view(0,90);
%                 drawnow;
%             end
%             figure(1);
%             hold on;
%             cla;
%             plot(iiA);
%             plot(Abase, ':');
%             axis tight;
%             
%             
%         
%             figure(2);
%             hold on;
%             cla;
%             plot(dt, stds);
%             plot(dt, means);
%             drawnow;
        end
        
        dtOpt = dt(stds==min(stds));
        dtOpt = dtOpt(1);
        dts(iiT) = dtOpt;
        
        if(dtOpt < 0)
            Aout(iiT, 1-dtOpt:N) = Ain(iiT, 1:(N+dtOpt));
        else
            Aout(iiT, 1:(N-dtOpt+1)) = Ain(iiT, dtOpt:N);
        end
    end
    
    Aout = Aout(:, treq);
end

