theta = linspace(0, 2*pi, 10000);
rho   = theta*0;

angles = [90 180 210 30 270];

thetas = theta<5/180*pi | theta > 355/180*pi;
rho(thetas) = 1/2+cos(36*(theta(thetas)))/2;
for ii=1:length(angles)
    thetas = theta>(angles(ii)-5)/180*pi & theta < (angles(ii)+5)/180*pi;
    rho(thetas) = rho(thetas) +  1/2+cos(36*(theta(thetas)-angles(ii)/180*pi))/2;
end

polar(theta, rho);
view(90,-90);
%%
turb    = 31;
turbRef = 48;
a = cell(1,360);
for ii = 1:size(d.P, 2)
    iiA = round(d.alpha(13,ii));
    if(iiA == 0)
        iiA = 360;
    end
    a{iiA} = [a{iiA} d.P(turb,ii)/d.P(turbRef,ii)];
end
aMean=zeros(1,360);
for iiA=1:360
    aMean(iiA) = mean(a{iiA});
end