function [ CT ] = f_CT( V0, c )
    delegate;
    c=c(:);
    CT0  = 1;
    CT90 = 0.01*V0(:) + 0.05;
    %CT90=0.0;
    CT = (CT90 + (CT0 - CT90) .* c) .* interp1(SWP_U, SWP_CT, V0(:));
    
    CT(V0 < SWP_Ucutin) = 0;
    CT = min(0.95, CT);
    
    CT(isnan(CT))=0;
end

