%% Input Parameters
k  = 0.075;
R  = 54;
V0 = 11.5;
n  = 100; % Amount of D after turbine
m  = 12; % Amount of D around turbine

%% Farm Layout
zTurb = [1 10 20]*2*R;
yTurb = [0 0  0 ]/2*2*R;

%% Intermediate
D      = 2 * R;
z      = linspace(0,n*D, 1000);
y      = linspace(-m*D/2,m*D/2, 2000);
Nturb  = length(zTurb);
[Z, Y] = meshgrid(z, y);