%% Clear Workspace
clear all;
close all;
clc;

%% Random
R       = 40;
C       = [.73 151 .58 .002 2.14 13.2 18.4 -.02 -.003];

V       = 6.5:.1:30;

theta   = 0 * pi / 180;
omega   = min(2, 8 / R * V);

lambda  = omega * R ./ V;
lambdaI = 1 ./ (1./(lambda + C(8)*theta) - C(9) ./ (theta.^3 + 1));

Cp = C(1) * (C(2) ./ lambdaI - C(3) * theta - C(4)*theta.^C(5) - C(6)) .* exp(-C(7)./lambdaI);
