classdef FineMesh
    %UNTITLED12 Summary of this class goes here
    %   Detailed explanation goes here
    
    properties (SetAccess = protected)
        Z
        Y
        
        nZ      = 1000;
        nY      = 500;
        
        bufferZ = [1000 2000];
        bufferY = [1000 1000];
    end
    
    methods
        function O = FineMesh(layout)
            z      = linspace(min(layout.z) - O.bufferZ(1), max(layout.z) + O.bufferZ(2), O.nZ);
            y      = linspace(min(layout.y) - O.bufferY(1), max(layout.y) + O.bufferY(2), O.nY);
            
            [Z, Y] = meshgrid(z, y);
            
            O.Z = Z;
            O.Y = Y;
        end
        
        function [iiZ, iiY] = find(O, z, y)
            iiZ = max(sum(O.Z < z, 2));
            iiY = max(sum(O.Y < y, 1));
        end
    end
    
end

