clear all;
close all;
clc;
%% Load data
N            = 41;
iiDataPoints = 10079;

data = zeros(3,N,iiDataPoints); % windspeed / winddirection / power

for ii = 1:N;
    turbineData = dlmread(['../Turbinedata/' num2str(ii) '.csv'], ',', 11,1);
    
    iiDataStart = iiDataPoints - size(turbineData, 1) + 1;
    
    data(1,ii,iiDataStart:end) = turbineData(:,1);
    data(2,ii,iiDataStart:end) = turbineData(:,2);
    data(3,ii,iiDataStart:end) = turbineData(:,3);
end

%%
figure;
hold on;

plot(squeeze(data(1,:,:))');