function [ power ] = f_P2U( Uin )
    %% Define Interpolation Vectors
    delegate;
    
    P = SWP_P(SWP_P>0);
    U = SWP_U(SWP_P>0);
    U = [U(P<3000) min(SWP_U(SWP_P==3000))];
    P = [P(P<3000) 3000];
    
    %% Interpolate
    power = interp1(U, P, Uin, 'pchip');
    power(Uin<SWP_Ucutin) = 0;
    power(Uin>SWP_Urated) = SWP_Prated;
    power(Uin>SWP_Ucutout) = 0;
end