% Data
a1s = .2:.02:.6;
a2s = 0.797853685;
a3s = -.5:.02:-.4;
a4s = 0.15;
V0s = [8.3 9.7 10.2];

rms = zeros(length(a1s), length(a3s));

%     a1 = 0.54;
%     a2 = 0.797853685;
%     a3 = -0.124807893;
%     a4 = 0.15;
for a1ii = 1:length(a1s)
    a1 = a1s(a1ii);
    disp([num2str(round(a1ii./length(a1s)*100)) '%']);
    for a2ii =1:length(a2s)
        a2 = a2s(a2ii);
        for a3ii = 1:length(a3s)
            a3 = a3s(a3ii);
            disp(['    ' num2str(round(a3ii./length(a3s)*100)) '%']);
            for a4ii = 1:length(a4s)
                for iiV0 = 1:length(V0s)
                    V0  = V0s(iiV0);
                    a4 = a4s(a4ii);
                    TIval = zeros(1,length(turbs));
                    Vs    = f_P2U(d.APE(13,:), d.rhoCorrection);

                    % Larsen
                    mask   = abs(d.alpha(13,:)-211)<2 & abs(Vs-V0) < .1;
                    shiftedMask = mask;
                    for ii=1:length(turbs)
                        if(ii > 1)
                            iiShift = round(520./(1/6*f_P2U(d.APE(turbs(ii-1), shiftedMask), d.rhoCorrection(mask)) + 1/2*f_P2U(d.APE(ii, mask), d.rhoCorrection(shiftedMask))));
                            if(ii == 2)
                                shiftedMask = find(mask==1);
                            end
                            for iiiiShift = 1:length(iiShift)
                                shiftedMask(iiiiShift) = shiftedMask(iiiiShift) + iiShift(iiiiShift);
                            end
                        end

                        TIval(ii) = nanmean(TIs(ii, shiftedMask));
                    end
                    
                    N = sum(mask);
                    aL = f_LarsenMultipleCalibrating((0:9)*520, SWP_H, SWP_R, ones(1,10), V0, TIval, a1, a2, a3, a4 );

                    % Error
                    rms(a1ii, a2ii, a3ii, a4ii) = rms(a1ii, a2ii, a3ii, a4ii) +  sqrt(mean((aL - aD).^2));
                end
            end
        end
    end
end
%%
figure(1); clf;
hold on;
[b1, b2, b3, b4] = ind2sub(size(rms),find(rms < .92/100));
rmsVal = b1 * 0;
for ii=1:length(b1)
    rmsVal(ii) = rms(b1(ii), b2(ii), b3(ii), b4(ii));
end

[a1s(b1)' a2s(b2)' a3s(b3)' a4s(b4)' rmsVal]