function [ a ] = f_LarsenMultipleCalibrating(x, H, R0, c, V0, TI, a1, a2, a3, a4)
    nT = length(c);
    a  = ones(1, nT);

    for iT = 1:nT
        u  = V0 * a(iT);
        CT = f_CT(u, c(iT));
        %CT = min(0.95,CT)*1.5);
        for iiT = (iT + 1):nT
            a(iiT) = f_mergeWake(a(iiT), f_LarsenCalibrating(x(iiT) - x(iT), H, R0, CT, TI(iT), a1, a2, a3, a4));
        end
    end
end

