function [ TI, x ] = f_TI( u, P, rhoCorrection, dt )
    %%
    %y  = x * 0;
    TI = u * 0;
    for iiT = 1:size(u, 1)
        for ii = round(dt/2):(size(u, 2)-round(dt/2))
            tspan = (ii-round(dt/2)+1):(ii+round(dt/2));
            if(all(P(iiT, tspan)>140)) % equals 4m/s
                meanu = mean(f_P2U(P(iiT, tspan), rhoCorrection(tspan)));
                stds  = sqrt(sum((u(iiT, tspan) - meanu).^2)/(length(tspan)-1));
                TI(iiT, ii) = stds/meanu;
                %y(iiT,ii) = x(iiT,ii);
            else
                TI(iiT, ii) = nan;
                %y(iiT,ii)   = nan;
            end
            
            if(size(u,2) > 9999)
                if(any(ii == round((1:10)*(round(size(u,2)/10)))))
                    disp(['TI' num2str(round(ii/size(u,2)*100)) '%']);
                end
            end
        end
    end
    
    TI(:,1:round(dt/2)) = TI(:,round(dt/2)+1);
    TI(:,(size(u,2)-round(dt/2)):end) = TI(:,end-round(dt/2)-1);
end

