function dout = f_adjustForRpm( d )
    %%
    delegate;
    iiT = 12;
    A = (d.P' + [zeros(1, 48); diff(1/2*SWP_Irotor*d.omega'.^2/1000)])';
    tspan = 56030:56830;
    xavg = 2;
    
    %omega = smooth(d.omega(iiT, tspan+xavg/2), xavg);
    
    omegae = [8 8  15.5 15.5  15  10  8   8];  % estimate
    omegat = [1 60 94   308   360  415 442 801];% time estimate
    omega  = smooth(interp1(omegat, omegae, 1:length(tspan)), 20);
    
    figure(1); clf;
    hold on;
    plot(d.omega(iiT, tspan));
    plot(omega);
    
    Erot = 1/2*SWP_Irotor*(omega/60*2*pi).^2;
    Prot = [0 smooth(diff(Erot), xavg)'];
    
    figure;
    hold on;
    plot(d.P(iiT, tspan));
    plot(Prot/1000)
    plot(d.P(iiT, tspan)+Prot/1000);
    grid on;
end

