function d = f_adjustTimeShift( e, d )
    tShift = 0;
    for ii = 1:length(e.turbineCur)
        iiT     = e.turbineCur(ii);
        tShift  = tShift + e.tCurShift(ii);
        d.P(iiT, :)     = [d.P(iiT, tShift:end) zeros(1, tShift-1)];
        d.APE(iiT, :)   = [d.APE(iiT, tShift:end) zeros(1, tShift-1)];
        d.u(iiT, :)     = [d.u(iiT, tShift:end) zeros(1, tShift-1)];
        d.alpha(iiT, :) = [d.alpha(iiT, tShift:end) zeros(1, tShift-1)];
        d.theta(iiT, :) = [d.theta(iiT, tShift:end) zeros(1, tShift-1)];
        d.omega(iiT, :) = [d.omega(iiT, tShift:end) zeros(1, tShift-1)];
    end
    for ii = 1:length(e.turbineRef)
        iiT     = e.turbineRef(ii);
        tShift  = tShift + e.tRefShift(ii);
        d.P(iiT, :)     = [d.P(iiT, tShift:end) zeros(1, tShift-1)];
        d.APE(iiT, :)   = [d.APE(iiT, tShift:end) zeros(1, tShift-1)];
        d.u(iiT, :)     = [d.u(iiT, tShift:end) zeros(1, tShift-1)];
        d.alpha(iiT, :) = [d.alpha(iiT, tShift:end) zeros(1, tShift-1)];
        d.theta(iiT, :) = [d.theta(iiT, tShift:end) zeros(1, tShift-1)];
        d.omega(iiT, :) = [d.omega(iiT, tShift:end) zeros(1, tShift-1)];
    end
end

