function e = f_e17()
    e = cell(1, 2);
    e{1} = struct( ...
        'name',         '1017 1500 Eerste keer curtailen, windsnelheid veranderd te veel -> not useful', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {[12:-1:1]}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {54000}, ...
        'tEnd',         {3000}, ...
        'tSetpoint',    {1059}, ...
        'tResetpoint',  {1304}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[90   114    69    69    70    55    60    60    80    80    80    80]}, ...
        'tRefRise',     {[1023]*ones(1, 112)}, ...
        'tRefFall',     {[1401, 1260*ones(1, 11)]}, ...
        'tRefNormal',   {1370}, ...
        'tRefEndNormal',{1520}  ...
    );

    e{2} = struct( ...
        'name',         '1017 900 Tweede phase, T13', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {54830}, ...
        'tEnd',         {2000}, ...
        'tSetpoint',    {742}, ...
        'tResetpoint',  {965}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[89   129   121   128   128   89   130   131   137   144   147   151]}, ...
        'tRefRise',     {[770, 800*ones(1, 11)]}, ...
        'tRefFall',     {[960, 950*ones(1, 11)]}, ...
        'tRefNormal',   {1050}, ...
        'tRefEndNormal',{1170}  ...
    );

    e{3} = struct( ...
        'name',         '1017 250 Derde phase, T13', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {54830}, ...
        'tEnd',         {3000}, ...
        'tSetpoint',    {1212}, ...
        'tResetpoint',  {1455}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[80   100     140     85     90     90     80     90     90     100     100     100]}, ...
        'tRefRise',     {[1230, 1230*ones(1, 11)]}, ...
        'tRefFall',     {[1430, 1400*ones(1, 11)]}, ...
        'tRefNormal',   {1060}, ...
        'tRefEndNormal',{1170}  ...
    );

    e{4} = struct( ...
        'name',         '1017 500', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {57930}, ...
        'tEnd',         {940}, ...
        'tSetpoint',    {300}, ...
        'tResetpoint',  {586}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[100   120     100     85     90     80     80     120     90     100     100     100]}, ...
        'tRefRise',     {[350, 450*ones(1, 11)]}, ...
        'tRefFall',     {[550, 650*ones(1, 11)]}, ...
        'tRefNormal',   {50}, ...
        'tRefEndNormal',{250}  ...
    );

    e{5} = struct( ...
        'name',         '1017 600 Multiple Curtailments', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {59330}, ...
        'tEnd',         {1000}, ...
        'tSetpoint',    {420}, ...
        'tResetpoint',  {600}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[130   110     100     100     95     90     90     90     90     90     90     90]}, ...
        'tRefRise',     {[420*ones(1, 9) 450 450 450]}, ...
        'tRefFall',     {[578*ones(1, 9) 546 578 578]}, ...
        'tRefNormal',   {200}, ...
        'tRefEndNormal',{350}  ...
    );

    e{6} = struct( ...
        'name',         '1018 Deep wake', ...
        'turbineCur',   {5}, ...
        'turbineRef',   {[4]}, ...
        'turbineOrder', {[5:-1:1]}, ...
        'tStart',       {113643}, ...
        'tEnd',         {2000}, ...
        'tSetpoint',    {628}, ...
        'tResetpoint',  {1450}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[60*ones(1,11)]}, ...
        'tRefRise',     {[805*ones(1, 12)]}, ...
        'tRefFall',     {[1540*ones(1, 12)]}, ...
        'tRefNormal',   {1800}, ...
        'tRefEndNormal',{2500}  ...
    );

    e{7} = struct( ...
        'name',         '1018 Curtailing West, observing East -> not useful', ...
        'turbineCur',   {19}, ...
        'turbineRef',   {36}, ...
        'turbineOrder', {[19 36]}, ...
        'tStart',       {139643}, ...
        'tEnd',         {3000}, ...
        'tSetpoint',    {1050}, ...
        'tResetpoint',  {1250}, ...
        'tCurShift',    {ones(1,17)}, ...
        'tRefShift',    {ones(1,17)*80}, ...
        'tRefRise',     {[1050*ones(1, 12)]}, ...
        'tRefFall',     {[1250*ones(1, 12)]}, ...
        'tRefNormal',   {1260}, ...
        'tRefEndNormal',{1500}  ...
    );

    e{8} = struct( ...
        'name',         '1027 1200 15 minutes curtailing WTG31', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {101920}, ...
        'tEnd',         {2000}, ...
        'tSetpoint',    {650}, ...
        'tResetpoint',  {1550}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[60    85    126    126    106    105    102    101    106    104    102    100]}, ...
        'tRefRise',     {[850*ones(1, 12)]}, ...
        'tRefFall',     {[1160*ones(1, 12)]}, ...
        'tRefNormal',   {1}, ...
        'tRefEndNormal',{500}  ...
    );

    e{9} = struct( ...
        'name',         'Northern wind, curtailing WTG31, wind to intermittend -> not useful', ...
        'turbineCur',   {31}, ...
        'turbineRef',   {[14 15 32]}, ...
        'turbineOrder', {31:33}, ...
        'tStart',       {250863}, ...
        'tEnd',         {2000}, ...
        'tSetpoint',    {1650}, ...
        'tResetpoint',  {2550}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[1 60 60 60]}, ...
        'tRefRise',     {[1680*ones(1, 12)]}, ...
        'tRefFall',     {[2500*ones(1, 12)]}, ...
        'tRefNormal',   {500}, ...
        'tRefEndNormal',{1500}  ...
    );

    e{10} = struct( ...
        'name',         'Northern wind, curtailing T14 -> not useful', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {[13 12]}, ...
        'tStart',       {103920}, ...
        'tEnd',         {4000}, ...
        'tSetpoint',    {1650}, ...
        'tResetpoint',  {2550}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[50   50     100     85     90     80     80     120     90     100     100     100]}, ...
        'tRefRise',     {[1680*ones(1, 12)]}, ...
        'tRefFall',     {[2500*ones(1, 12)]}, ...
        'tRefNormal',   {500}, ...
        'tRefEndNormal',{1500}  ...
    );

    e{11} = struct( ...
        'name',         'Northern wind, curtailing T14 -> not useful', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {[13 12]}, ...
        'tStart',       {101920}, ...
        'tEnd',         {4000}, ...
        'tSetpoint',    {1650}, ...
        'tResetpoint',  {2550}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[50   50     100     85     90     80     80     120     90     100     100     100]}, ...
        'tRefRise',     {[1680*ones(1, 12)]}, ...
        'tRefFall',     {[2500*ones(1, 12)]}, ...
        'tRefNormal',   {500}, ...
        'tRefEndNormal',{1500}  ...
    );

    e{12} = struct( ...
        'name',         'Northern wind, curtailing T14 -> not useful', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {[13 12]}, ...
        'tStart',       {310200}, ...
        'tEnd',         {3000}, ...
        'tSetpoint',    {1650}, ...
        'tResetpoint',  {2550}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[50   50     100     85     90     80     80     120     90     100     100     100]}, ...
        'tRefRise',     {[1680*ones(1, 12)]}, ...
        'tRefFall',     {[2500*ones(1, 12)]}, ...
        'tRefNormal',   {500}, ...
        'tRefEndNormal',{1500}  ...
    );


    e{13} = struct( ...
        'name',         'Northern wind, curtailing T14 -> not useful', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {[13 12]}, ...
        'tStart',       {200600}, ...
        'tEnd',         {4500}, ...
        'tSetpoint',    {1650}, ...
        'tResetpoint',  {2550}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[50   50     100     85     90     80     80     120     90     100     100     100]}, ...
        'tRefRise',     {[1680*ones(1, 12)]}, ...
        'tRefFall',     {[2500*ones(1, 12)]}, ...
        'tRefNormal',   {500}, ...
        'tRefEndNormal',{1500}  ...
    );

    e{14} = struct( ...
        'name',         '1017 500', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {57230}, ...
        'tEnd',         {950}, ...
        'tSetpoint',    {400}, ...
        'tResetpoint',  {666}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[120   120     100     85     90     80     80     120     90     100     100     100]}, ...
        'tRefRise',     {[350, 350*ones(1, 11)]}, ...
        'tRefFall',     {[600, 600*ones(1, 11)]}, ...
        'tRefNormal',   {760}, ...
        'tRefEndNormal',{930}  ...
    );

    e{15} = struct( ...
        'name',         '1017 600 Multiple Curtailments', ...
        'turbineCur',   {13}, ...
        'turbineRef',   {12:-1:1}, ...
        'turbineOrder', {13:-1:1}, ...
        'tStart',       {58530}, ...
        'tEnd',         {1000}, ...
        'tSetpoint',    {420}, ...
        'tResetpoint',  {600}, ...
        'tCurShift',    {1}, ...
        'tRefShift',    {[110   110     100     100     95     90     90     90     90     90     90     90]}, ...
        'tRefRise',     {[420*ones(1, 9) 450 450 450]}, ...
        'tRefFall',     {[578*ones(1, 9) 546 578 578]}, ...
        'tRefNormal',   {40}, ...
        'tRefEndNormal',{300}  ...
    );

    
%% Don't forget to do -tSetpoint
%     e.e1.turbineCur     = {13,    13,          13,     13,     13,     13};
%     e.e1.turbineRef     = {12,    [12:-1:8],     12,     12,     12,     12};
%     e.e1.tStart         = {54500  55830        57200   57930   58560   59170};
%     e.e1.tEnd           = {1350   1000         1000    950     1150    1480};
%     e.e1.tSetpoint      = {545    196          293     261     319     558};
%     e.e1.tResetpoint    = {818    473          706     590     596     846};
%     e.e1.tRefShift      = {631    [260,374,540,625]    389     345     410     654};
%     e.e1.tRefRise       = {631    [200,120,20,1]    389     345     410     654}; % as read from figure (including time shift)
%     e.e1.tRefFall       = {950    [600,640,670,670]    800     700     600     890}; % as read from figure (including time shift)
%     e.e1.tRefNormal     = {950    [600,800,600,600]    800     700     600     890}; % as read from figure (including time shift)
%     e.e1.tRefEndNormal  = {1050   [1000,1200,1000,1000]  1000    940     1150    1400}; % as read from figure (including time shift)

end