function e = f_e18()
    e = struct;
    e.turbineCur     = {5};
    e.turbineRef     = {[4]};
    e.tStart         = {5400};
    e.tEnd           = {1400};
    e.tSetpoint      = {522};
    e.tResetpoint    = {851};
    e.tRefShift      = {[587, 0, 0, 0]+1};
    e.tRefRise       = {[0, 0, 0, 0]+1}; % as read from figure (including time shift)
    e.tRefFall       = {[0, 0, 0, 0]+1}; % as read from figure (including time shift)
    e.tRefNormal     = {[0, 0, 0, 0]+1}; % as read from figure (including time shift)
    e.tRefEndNormal  = {[0, 0, 0, 0]+1}; % as read from figure (including time shift)
end