function f_plotQualitative(d, iiT, tspan)
    %%
    plotdata = [d.P(iiT, tspan);d.u(iiT,tspan);d.omega(iiT,tspan);d.theta(iiT, tspan)];

    figure;
    hold on;
    
    for ii=1:size(plotdata, 1)
        plot((plotdata(ii, :) - min(plotdata(ii, :)))/abs(max(plotdata(ii, :))))
    end
    
    legend('Power', 'Windspeed', 'RPM', 'Pitch');
    grid on;
end