function [ Y ] = f_xsecavg( X, x )
%%
    X = X(:)';
    t = floor((1:size(X, 2))/x)'+1;
    Y = zeros(max(t), size(X, 1));
    for ii=1:size(X, 1)
        Y(:, ii) = accumarray(t, X(ii, :)/x);
        
        % if last entry does not have x data points
        if(sum(t == max(t)) < x)
            %Y(max(t), :) = nan;
        end
    end
end

