clear all;
clc;

addpath('libraries');

data = fileread('layout.csv');
data = strrep(data, '.', '');

A = textscan(data, '%s %f %f', 'Delimiter', ';', 'EndOfLine', '\r');

names = cell2mat(A{1});
lats = A{2}  / 100000;
longs = A{3} / 100000;

[X,Y] = Spherical2AzimuthalEquidistant(lats(1:48), longs(1:48),lats(1),longs(1),0,0,6371000*pi) ;

X = X - min(X);
Y = Y - min(Y);

plot(X, Y, 'x')