function [ P ] = powerFromField( A, a )
    %% Input Parameters
    jensenInput;
    
    %% Power Calculation
    P = zeros(1, Nturb);
    for ii=1:Nturb
        iiZ = max(sum(Z < zTurb(ii), 2));
        iiY = max(sum(Y < yTurb(ii), 1));

        P(ii) = powerCurveF(A(iiY, iiZ) * V0) * (4*a(ii)*(1-a(ii))^2) * 27/16;
    end
end

