classdef PowerCalculator
    %UNTITLED Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        M
    end
    
    methods
        function O = PowerCalculator(M)
            O.M = M;
        end
        
        function P = calculatePower(O)
            P = zeros(1, O.M.layout.N);
            for ii=1:O.M.layout.N
                P(ii) =O.M.turbineType.power(O.getTurbineWindSpeed(O.M.layout.z(ii), O.M.layout.y(ii)));
            end
        end
        
        function V0 = getTurbineWindSpeed(O, z0, y0)
            [iiZ, iiY] = O.M.mesh.find( ...
                z0 - O.M.turbineType.D / 2 * cos(O.M.c.alpha), ...
                y0 - O.M.turbineType.D / 2 * sin(O.M.c.alpha) ...
            );
        
            V0 = O.M.wakeModel.A(iiY, iiZ) * O.M.c.V0;
        end
    end
    
end

